extern int parse(ClientData, Tcl_Interp *, int argc, char *argv[]);
extern int parse_file(ClientData, Tcl_Interp *, int argc, char *argv[]);
extern int parser_init(ClientData, Tcl_Interp *, int argc, char *argv[]);
extern int parser_suspend(ClientData, Tcl_Interp *, int argc, char *argv[]);
extern int parser_resume(ClientData, Tcl_Interp *, int argc, char *argv[]);
extern char *strsave(char *);
